imdbnet/urls.py
from django.contrib import admin
from django.urls import path
from movies import views
from django.conf.urls import include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', views.home),
    path('getting-started/', include('movies.urls')),
    path('signin', views.signin),
    path('/', include('movies.urls')),
]

movies/urls.py
from django.conf.urls import url

from . import views


app_name = 'movies'
urlpatterns = [
    url('stream', views.StreamView, name="stream"),
    url('onboard', views.OnboardView, name="onboard"),
    url('signup', views.SignupView, name="signup"),
    url('', views.GettingStartedView, name="getting_started"),
]

movies/models.py
from django.db import models
from django.contrib.auth.models import User
from django.conf import settings


class Movie(models.Model):
    title = models.CharField(max_length=200, blank=False)
    movie_id = models.IntegerField(default=0, primary_key=True)
    poster_link = models.CharField(max_length=200)
    trailer_link = models.CharField(max_length=200)
    genre = models.CharField(max_length=300)
    popularity = models.FloatField()
    video_link = models.CharField(max_length=300)


class Preference(models.Model):
    user = models.ForeignKey(
        settings.AUTH_USER_MODEL, on_delete=models.CASCADE)
    preference_one = models.CharField(max_length=100)
    preference_two = models.CharField(max_length=100)
    preference_three = models.CharField(max_length=100)


class Watchlist(models.Model):
    user = models.ForeignKey(
        settings.AUTH_USER_MODEL, on_delete=models.CASCADE)
    movie_id = models.ForeignKey(Movie, on_delete=models.CASCADE)


class Category(models.Model):
    name = models.CharField(max_length=200, unique=True)
    movie_id = models.ForeignKey(Movie, on_delete=models.CASCADE)


class Upload(models.Model):
    user = models.ForeignKey(
        settings.AUTH_USER_MODEL, on_delete=models.CASCADE)
    movie_id = models.IntegerField(unique=True)
    title = models.CharField(max_length=200, blank=False)
    info = models.TextField()
    poster_link = models.URLField()
    trailer_link = models.URLField(null=True)
    genre = models.CharField(max_length=300)

movies/forms.py
from django import forms
from django.contrib.auth.models import User

from .models import Preference


class OnboardForm(forms.ModelForm):
    class Meta:
        model = Preference
        fields = ["preference_one", "preference_two", "preference_three"]


class SignupForm(forms.ModelForm):
    re_password = forms.CharField(max_length=120, widget=forms.PasswordInput)
    password = forms.CharField(max_length=120, widget=forms.PasswordInput)

    class Meta:
        model = User
        fields = [
            "username", "first_name", "last_name", "email",
            "password", "re_password"
        ]

movies/views.py
from django.shortcuts import render

from django.contrib import messages
from django.contrib.auth.models import User

from .forms import OnboardForm, SignupForm
from django.core.paginator import Paginator
#from movies.models import Channel, Movie
from django.views.decorators.http import require_http_methods
from django.views.generic import CreateView, ListView, DetailView, UpdateView
from django.core.paginator import Paginator
from movies.models import Category, Movie
  
def signin(request):
    return render(request, 'signin.html')

def home(request):
    categories = Category.objects.all()
    movies = Movie.objects.all()
    return render(request, 'home.html', { 'categories': categories, 'movies': movies })


def GettingStartedView(request):
    return render(request, 'movies/getting_started.html')


def OnboardView(request):
    if request.method == "POST":
        preference_form = OnboardForm(request.POST)
        if preference_form.is_valid():
            user = User.objects.first()
            new_preference = preference_form.save(commit=False)
            new_preference.user = user
            new_preference.save()
            return render(request, 'home.html')
    else:
        return render(request, 'movies/onboarding.html')


def SignupView(request):
    if request.method == 'POST':
        form = SignupForm(request.POST)
        if form.is_valid():
            form.save()
            return render(request, 'movies/onboarding.html')
        else:
            messages.error(request, 'The form is invalid.')

        return render(request, 'movies/signup.html', {'form': form})

    else:
        form = SignupForm()
        return render(request, 'movies/signup.html', {'form': form})

movies/templates/home.html
{% load static %}
<!Doctype html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html"; charset="UTF-8">
        <meta name="viewport" content="width=device-width,initial-scale=1.0">
        {% block css %}
        <link rel="stylesheet" href="{% static 'css/netflix-style.css' %}">
        {% endblock css %}
        <title>{% block title %}Netflix{% endblock title %}</title>

    </head>
    <body>
    {% block body %}
        <div class="header">
            <div class="header-left">
                <a href=""><span>Netflix<span></a>
            </div>
            <div class="header-right">
                <img src=""> <span>Search</span>
            </div>

        </div>
        <div class="movie-container">
            <section id="upcoming-movies">
                <h1 class="movie-channel-name">Upcoming movies</h1>
                <div class="movie-list-container">
                    <div class="movie-lists">
                        <img src="{% static 'img/avengers.jpeg'%}">
                        <div class="tile__details">
                            <div class="tile__title">
                                Movie 1
                            </div>
                        </div>
                    </div>
                    <div class="movie-lists">
                        <img src="{% static 'img/avengers.jpeg'%}">
                    </div>
                    <div class="movie-lists">
                        <img src="{% static 'img/avengers.jpeg'%}">
                    </div>
                    <div class="movie-lists">
                        <img src="{% static 'img/avengers.jpeg'%}">
                    </div>
                </div>
                    
        </div>
                
            </section>

            <section id="popular-movies">
                <h1 class="movie-channel-name">Popular On Netflix</h1>
            </section>
            <section id="latest-movies">
                <h1 class="movie-channel-name">Latest Movies</h1>
            </section>
            <section id="recently-added-movies">
                <h1 class="movie-channel-name">Recently Added</h1>
            </section>
        </div>
        {% endblock body %}
    </body>
</html>

templates/home.html
{% load static %}
<!Doctype html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html"; charset="UTF-8">
        <meta name="viewport" content="width=device-width,initial-scale=1.0">
        {% block css %}
        <link rel="stylesheet" href="{% static 'css/netflix-style.css' %}">
        {% endblock css %}
        <title>{% block title %}Netflix{% endblock title %}</title>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
        <script>
           
        </script>
    </head>
    <body>
    {% block body %}
        <header>
            <img class="logo" src="http://www.stickpng.com/assets/images/580b57fcd9996e24bc43c529.png">
        </header>
            
        {% for category in categories %}
        <div class="movie-container">
            <h1 class="movie-channel-name">{{ category.name }}</h1>
                

                    <div class="movie-list-horizontal-row">
                        
                    <ul class="movie-list-horizontal-row-container">
                    {% for movie in movies %}
                    <li class="movie-lists-item">
                        <a href="">
                        {% comment %} <img src="https://m.media-amazon.com/images/M/MV5BMjAwODg3OTAxMl5BMl5BanBnXkFtZTcwMjg2NjYyMw@@._V1_UX182_CR0,0,182,268_AL__QL50.jpg">    {% endcomment %}
                            <img class="movie-lists-item-img" src="{{ movie.imagelink }}">
                        
                        <span class="movie-title">
                            {{ movie.title }}
                        </span>
                        </a>
                    </li>
                    {% endfor %}
                    </ul>
                    <div class="prev">
					<span class="glyphicon glyphicon-chevron-left" aria-hidden="true"></span>
				</div>
				<div class="next">
					<span class="glyphicon glyphicon-chevron-right" aria-hidden="true"></span>
				</div>
                </div>
                
        </div>
        {% endfor %}       
                 
        {% endblock body %}

    </body>
</html>

templates/movies/getting_started.html
<!DOCTYPE html>
<html>
<head>
    <title>Getting Started</title>
    {% block head %}{% endblock head %}
    <link href="https://fonts.googleapis.com/css?family=Montserrat" rel="stylesheet">
    <style type="text/css">
        body{
            margin: 0 ;
            background: black;
            font-family: 'Montserrat', sans-serif;
            color: white;
            
        }
        .logo {
            margin: 0 5%;
            height: 10vh;
        }
        header{
            display: flex;
            justify-content: space-between;
            align-items: center;
        }
        .login {
            margin: 0 5%;
        }
        div.content_body{
            background-image: url(https://thebutlercollegian.com/wp-content/uploads/2019/03/netflix-image.jpg);
            background-repeat: no-repeat;
            background-size: 100%;
            width: 100%;
            height: 90vh;
            opacity: 0.9;
        }
        {% block css %}
        .netflix_poster{
            width: 100%;
            height: 90vh;
            opacity: 0.5;
        }
        p.start-btn{
            background-color: red;
            padding: 5px 15px;
            border-radius: 5px;


        }
        .intro{
            background-color: grey;
            background: rgba(169,169,169,0.5);
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            font-size: 22px;
            padding-top: 5vh;
        }
        {% endblock css %}
    </style>
</head>
<body>
    <header>
        <img class="logo" src="http://www.stickpng.com/assets/images/580b57fcd9996e24bc43c529.png">
        <p class="login">Log In</p>
    </header>
    <div class="content_body">
    {% block body %}
        <div class="intro">
            <p>Voila!</p>
            <p>Welcome to Your Mini-Movie Theatre</p>
            <p class="start-btn"><a href="{% url 'movies:signup' %}" style="text-decoration: none; color: white;">Getting Started</a></p>
        </div>
    {% endblock body %} 
    </div>
</body> 
</html>

templates/movies/onboarding.html
{% extends 'movies/getting_started.html' %}

{% block css %}
.onboard_container{
    box-sizing: border-box;
    margin: 0 10%;
    background: rgba(0,0,0,0.7);
    height:100%;
    color: white;

}
.genre_title{
    margin: 0;
    padding-top: 8px;
    text-align: center;
    font-size: 22px;
    padding-top: 5px;
    margin-bottom: 5%;
}
.genre{
    display: inline-block;
    border: 1px solid white;
    padding: 8px;
    margin: 5px;
    border-radius: 15px;
    cursor: pointer;

}
.genre_container{
    display: flex;
    justify-content: center;
}
.btn{
    display: inline-block;
    background-color: green;
    padding: 8px;
    margin-top: 10%;
    border-radius: 5px;
    cursor: pointer;
}
.proceed-btn{
    margin-left: 44%;
}
.skip-btn{
    background-color: grey;

}
.highlight{
    background-color: white;
    color: black;
}
.selected{
    background-color: green;
}
{%  endblock css %}

{% block body %}
<div class="onboard_container">
    <p class="genre_title">Select Your Genre</p>
    <div class="genre_container">
        <p class="genre">Action</p>
        <p class="genre">Comedy</p>
        <p class="genre">Drama</p>
        <p class="genre">Adventure</p>        
    </div>
    <div class="genre_container">
        <p class="genre">Horror</p>
        <p class="genre">Sci-Fi</p>
        <p class="genre">Musical</p>        
    </div>
    <div class="genre_container">
        <p class="genre">Documentary</p>
        <p class="genre">Horror</p>
        <p class="genre">Thriller</p>
        <p class="genre">Crime</p>        
    </div>
    <div class="genre_container">
        <p class="genre">Animation</p>
        <p class="genre">Fantasy</p>        
    </div>
    <p class="btn proceed-btn">Proceed</p>
    <p class="btn skip-btn">Skip</p>
</div>
<script src="https://code.jquery.com/jquery-3.1.0.min.js"></script>
    <script>
        var preference = []
        $(".genre").click(function(e){
            var text = e.target.innerText
            if($(this).hasClass('selected')){
                console.log(preference.indexOf(text))
                preference.splice(preference.indexOf(text), 1)
                $(this).removeClass('selected')
                return
            }
            if(preference.length < 3 && !preference.includes(text)){
                preference.push(e.target.innerText)
                $(this).addClass('selected')    
            }
           
});
        $(".genre").hover(function(){
          $(this).addClass('highlight');
          }, function(){
          $(this).removeClass('highlight');
        }
);

        $('.proceed-btn').click(function(){
            data = {
                'preference_one': preference[0],
                'preference_two': preference[1],
                'preference_three': preference[2],
            }
            $.ajax({
                url: '{% url 'movies:onboard' %}',
                type: "post",
                headers: {'X-CSRFToken': $('{% csrf_token %}').attr('value')
          },
                data: data,
                success: function(data) {
                    window.location = "{% url 'movies:getting_started' %}"
                    console.log(data.result);
                }});
        })
    </script>
{%  endblock body %}

templates/movies/signup.html
{% extends 'movies/getting_started.html' %}
{% load bootstrap3 %}



{% block head %}
    {% bootstrap_css %} 
    {% bootstrap_javascript %} 
    {% bootstrap_messages %}
{% endblock head %}
{% block css %}
    .row{
    padding-top: 10px;
    background-color: rgba(0,0,0,0.8)
}
{% endblock css %}
{% block body %}
    <div class="container">
        <div class="row">
            <div class="col-sm-offset-3 col-sm-6">
                <form action="" method="post">
                    {% csrf_token %} 
                    {% bootstrap_form form %} 
                    {% buttons %}
                    <button type="submit" class="btn btn-danger btn-block">Sign Up Now</button> 
                    {% endbuttons %}
                </form>
            </div>
        </div>
    </div>
{% endblock body %}

templates/movies/video.html
<head>
  <link href="https://vjs.zencdn.net/7.5.4/video-js.css" rel="stylesheet">

  <!-- If you'd like to support IE8 (for Video.js versions prior to v7) -->
  <script src="https://vjs.zencdn.net/ie8/1.1.2/videojs-ie8.min.js"></script>
  <style type="text/css">
      body{
        margin:0;
      }
  </style>
</head>

<body>
  <video id='my-video' class='video-js' muted="muted" controls autoplay width='100%' height='100%' >
    <source src='{{ stream_source }}' type='video/mp4'>
    <p class='vjs-no-js'>
      To view this video please enable JavaScript, and consider upgrading to a web browser that
      <a href='https://videojs.com/html5-video-support/' target='_blank'>supports HTML5 video</a>
    </p>
  </video>

</body>

templates/signin.html
{% load static %}
<!Doctype html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html"; charset="UTF-8">
        <meta name="viewport" content="width=device-width,initial-scale=1.0">
        {% block css %}
        <link rel="stylesheet" href="{% static 'css/netflix-style.css' %}">
        {% endblock css %}
        <title>{% block title %}Netflix{% endblock title %}</title>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
        <script>
           
        </script>
    </head>
    <body>
        <div class="content_body">
    {% block body %}
        <header>
            <img class="logo" src="http://www.stickpng.com/assets/images/580b57fcd9996e24bc43c529.png">
        </header>
        <div class="login-content-container">
            <div class="login-form-main">
                <h1 class="signin">Sign In</h1>
                <form method="post" class="login-form" action>
                <div class="login-input-email">
                    <div class="EmailPhoneControls">
                        <label class='input_id'>
                            <input type="text" name="userLoginId" class="nfTextField" id="id_userLoginId" autocomplete="email" dir>
                            <label for="id_userLoginId" class="placeLabel">
                                Email or phone number
                            </label>
                        </label>
                    
                    </div>
                </div>
                <div class="login-input-password">
                    <div class="PasswordControls">
                        <label class="input_id">
                            <input type = "password" name="password" class="nfTextField" id="id_password" autocomplete="password" dir>
                            <label for="id_password" class="placeLabel" >Password </label>
                        </label>
                    </div>
                </div>
                <button class="login-button" type="submit" >Sign In</button>
                <div class="login-form-help">
                    <div class="login-remember-me">
                        <input type="checkbox" class name="rememberMe" id="rememberMe_true" value="true" checked>
                        <label for="rememberMe_true" ><span>Remember me</span></label>
                        <div class="helper"></div>

                    </div>
                    <a href="" class="login-help-link">Need help?</a>
                </div>       

                </form>
            </div>
        </div>
    {% endblock body %} 
    </div>

    </body>
</html>